<template>
  <div class="margT">
    <el-pagination
      background
      :hide-on-single-page="true"
      @current-change="handleCurrentChange"
      @size-change="handleSizeChange"
      layout="total,sizes,prev, pager, next, jumper"
      :page-sizes="[10,20, 50]"
      :page-size="defaultSize"
      :total="currentSize"
      :current-page.sync="currentPage"
    ></el-pagination>
  </div>
</template>

<script>
export default {
  props: {
    currentSize:{
      type:Number,
      default:0
    },
    defaultSize:{
      type:Number,
      default:10
    },
    initialize:{
      type:Boolean,
      default:false,
    },
    currentPage:{
      type:Number,
      default:1
    }
  },
  name: "page",
  data() {
    return {};
  },
  watch:{
    initialize(val,old){
      if(val===true){
          this.currentPage=1;
          this.$emit("successInit");
          this.$emit("update:initialize",false)
      }
    }
  },
  methods: {
    handleCurrentChange(val) {
      this.$emit("pageSize", { data: val, type: "change" });
    },
    handleSizeChange(val) {
      this.currentSync=1
      this.$emit("pageSize", { data: val, type: "size" });
    }
  },
  created() {}
};
</script>
<style scoped>
 .margT{
    margin-top: 20px;
 }
</style>